"""
Database code for handling the retrieval and storage of journal entries.

:copyright: Copyright 2013-2016, Dorian Pula <dorian.pula@amber-penguin-software.ca>
:license: AGPL v3+
"""

from sqlalchemy.ext import declarative
import flask_sqlalchemy


ModelBase = declarative.declarative_base()
SQLAlchemy = flask_sqlalchemy.SQLAlchemy()

EXTERNAL_DB_URI_PARAM = 'ROOKERIES_SQLALCHEMY_DATABASE_URI'
